2018-06-18 08:11 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002194FSSCPFREDpublic2010-05-15 20:40
ReporterDarth Geek 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.12 RC2 
Target VersionFixed in Version 
Summary0002194: FRED reports 'amount used in wings' incorrectly in Team Loadout editor
DescriptionThis is the source of the incorrect loadout bug, where the available missiles will be less than expected.

FRED, when saving the loadout to the mission file, presumably adds the 'amount used in wings' and the 'extra available' for a weapon. However, 'amount used in wings' seems to be less than it should in some cases.
Additional InformationMake an empty mission, add the GTF Ulysses to Alpha wing, and go to the Loadout Editor. A GTF Ulysses can hold 16 Harpoons, and indeed the default one does, but the 'amount used in wings' is now reported as 14 Harpoons.

If you change the Ulysses to a Herc II, which holds 100 Hornets in one of its banks, the 'amount used in wings' will report 67 Hornets.

It obviously seems to affect larger numbers more severely. I've almost never seen it happen on primaries.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011911

FUBAR-BDHR (developer)

I've seen this one myself way back when that guy who was complaining about it and never filed a report posted a test mission. Nothing stood out on the math.

~0011914

karajorma (administrator)

Is the bug only concerning the Number Used in Wings? Cause that's barely even a bug. The number wasn't even displayed in FRED2. I added it into SCP builds cause I figured "Why the hell not"

~0011915

karajorma (administrator)

Nevermind, Resolved

~0011916

Goober5000 (administrator)

Karajorma had the right location (the rounding formula was wrong) but the wrong fix for it. I've committed a replacement fix. Someone test it out plz? >.>

~0011966

Goober5000 (administrator)

Calling this fixed.
+Notes

-Issue History
Date Modified Username Field Change
2010-04-29 02:05 Darth Geek New Issue
2010-04-29 02:06 FUBAR-BDHR Status new => assigned
2010-04-29 02:06 FUBAR-BDHR Assigned To => karajorma
2010-04-29 02:07 FUBAR-BDHR Note Added: 0011911
2010-04-29 22:27 karajorma Note Added: 0011914
2010-04-29 23:23 karajorma Note Added: 0011915
2010-04-29 23:23 karajorma Status assigned => resolved
2010-04-29 23:23 karajorma Fixed in Version => 3.6.12
2010-04-29 23:23 karajorma Resolution open => fixed
2010-04-30 00:01 Goober5000 Note Added: 0011916
2010-04-30 00:01 Goober5000 Assigned To karajorma => Goober5000
2010-04-30 00:01 Goober5000 Status resolved => feedback
2010-04-30 00:01 Goober5000 Resolution fixed => open
2010-04-30 00:01 Goober5000 Fixed in Version 3.6.12 =>
2010-05-15 20:40 Goober5000 Note Added: 0011966
2010-05-15 20:40 Goober5000 Status feedback => resolved
2010-05-15 20:40 Goober5000 Resolution open => fixed
+Issue History